Submit a Monitor Event
Use this endpoint to submit a model input and output pair to a monitor for evaluation
The request body must include a
model_input dictionary (containing at least a system_prompt field or a user_prompt field), a model_output string to be evaluated, and a guardrail_metrics array specifying which metrics to evaluate against. Optionally, include the model_used, selected run_mode, and a human-readable nametag. Including the web_search, file_search, and context_awareness fields will allow the evaluation model to use those extended AI capabilities.Run modes determine the models that power evaluations (fastest to most thorough):
-
super_fast - High-speed lightweight checks-
fast - Balanced speed and accuracy (default)-
precision - Deep multi-model analysis-
precision_codex - Code-optimized deep analysis-
precision_max - Exhaustive multi-pass verification-
precision_max_codex - Ultimate code-aware verificationNote:
super_fast does not support Web Search or File Search capabilities. Requests using this mode on monitors with Web Search or File Search enabled will be rejected.When you create a monitor event, you’ll receive an event ID. Use this ID to track the event’s progress and retrieve the evaluation results.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the monitor associated with this event.
Body
A dictionary of inputs sent to the LLM to generate output. The dictionary must contain a user_prompt field. For ground_truth_adherence guardrail metric, ground_truth should be provided.
Output generated by the LLM to be evaluated.
Run mode for the monitor event. The run mode allows the user to optimize for speed, accuracy, and cost by determining which models are used to evaluate the event. Available run modes (fastest to most thorough): super_fast, fast, precision, precision_codex, precision_max, and precision_max_codex. Defaults to fast. Note: super_fast does not support Web Search or File Search — if your monitor has these capabilities enabled, use a different run mode or edit the monitor to disable them.
super_fast, fast, precision, precision_codex, precision_max, precision_max_codex An optional, user-defined tag for the event.
Response
Monitor event created successfully
